Program BO5_20;

(*$x+*)

Procedure Foo ( bar: CString );

begin (* Foo *)
  writeln ( bar );
end (* Foo *);

Function Bar: Pointer;

Var
  OK: CString = @'OK';

begin (* Bar *)
  Bar:= OK;
end (* Bar *);

begin
  Foo ( Bar );
end.
